feed-1.0.1.0: Interfacing with RSS (v 0.9x, 2.x, 1.0) + Atom feeds.

Copyright | (c) Galois Inc. 2008 (c) Sigbjorn Finne 2009-
License | BSD3
Maintainer | Sigbjorn Finne <sof@forkIO.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Text.Feed.Types

Description

Synopsis

- data Feed
  - = AtomFeed Feed
  - | RSSFeed RSS
  - | RSS1Feed Feed
  - | XMLFeed Element
- data Item
  - = AtomItem Entry
  - | RSSItem RSSItem
  - | RSS1Item Item
  - | XMLItem Element
- data FeedKind
  - = AtomKind
  - | RSSKind (Maybe Text)
  - | RDFKind (Maybe Text)

# Documentation

data Feed Source #

The abstract type of feed documents. The internal representation is as whatever feed variant type the document was either imported or has now been translated to.

Constructors

AtomFeed Feed |
RSSFeed RSS |
RSS1Feed Feed |
XMLFeed Element |

Instances

Show Feed Source # |
Instance details Defined in Text.Feed.Types Methods showsPrec :: Int -> Feed -> ShowS Source # show :: Feed -> String Source # showList :: [Feed] -> ShowS Source #

data Item Source #

The abstract type of feed items. Like the `Feed` type, the representation of a value is as one of the different RSS item/entry variants.

Constructors

AtomItem Entry |
RSSItem RSSItem |
RSS1Item Item |
XMLItem Element |

Instances

Show Item Source # |
Instance details Defined in Text.Feed.Types Methods showsPrec :: Int -> Item -> ShowS Source # show :: Item -> String Source # showList :: [Item] -> ShowS Source #

data FeedKind Source #

The kinds of feed documents supported.

Constructors

AtomKind |
RSSKind (Maybe Text) |
RDFKind (Maybe Text) |

Instances

Eq FeedKind Source # |
Instance details Defined in Text.Feed.Types Methods (==) :: FeedKind -> FeedKind -> Bool Source # (/=) :: FeedKind -> FeedKind -> Bool Source #
Show FeedKind Source # |
Instance details Defined in Text.Feed.Types Methods showsPrec :: Int -> FeedKind -> ShowS Source # show :: FeedKind -> String Source # showList :: [FeedKind] -> ShowS Source #